Loading...
Searching...
No Matches
GenServer.h File Reference

GenServer is a base class for generic servers. More...

`#include <stdio.h>`
`#include <unistd.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <signal.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <limits.h>`
`#include <assert.h>`
`#include <sys/resource.h>`
`#include <syslog.h>`
`#include <iostream>`
`#include <sstream>`
`#include <string>`
`#include <vector>`
`#include "assa/Assure.h"`
`#include "assa/Handlers.h"`
`#include "assa/SigHandlers.h"`
`#include "assa/Fork.h"`
`#include "assa/Reactor.h"`
`#include "assa/CmdLineOpts.h"`
`#include "assa/PidFileLock.h"`

Go to the source code of this file.

## Classes

class | ASSA::GenServer

## Namespaces

namespace | ASSA

## Detailed Description

GenServer is a base class for generic servers.

This is an implementation of the Service Configurator pattern.

Definition in file GenServer.h.